summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2002-03-30 12:52:17 +0000
committerDan Armak <danarmak@gentoo.org>2002-03-30 12:52:17 +0000
commita196283e264623edd2f7c4c1618d32d53d5aa0e7 (patch)
treed8b91dfd6b19928c21190d01dfa21026845f5575 /eclass/base.eclass
parentVersion bump (diff)
downloadgentoo-2-a196283e264623edd2f7c4c1618d32d53d5aa0e7.tar.gz
gentoo-2-a196283e264623edd2f7c4c1618d32d53d5aa0e7.tar.bz2
gentoo-2-a196283e264623edd2f7c4c1618d32d53d5aa0e7.zip
make base_src_compile() use econf() and emake() from the default src_compile() in ebuild.sh
Diffstat (limited to 'eclass/base.eclass')
-rw-r--r--eclass/base.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/base.eclass b/eclass/base.eclass
index f06cf8e6719b..edee50859900 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.12 2002/03/27 22:33:53 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.13 2002/03/30 12:52:14 danarmak Exp $
# The base eclass defines some default functions and variables. Nearly everything
# else inherits from here.
[ -n "$COMPAT" ] && inherit functions
@@ -52,11 +52,11 @@ base_src_compile() {
case $1 in
configure)
debug-print-section configure
- ./configure || die "died running ./configure, $FUNCNAME:configure"
+ econf || die "died running econf, $FUNCNAME:configure"
;;
make)
debug-print-section make
- make || die "died running make, $FUNCNAME:make"
+ emake || die "died running emake, $FUNCNAME:make"
;;
all)
debug-print-section all